std::experimental::source_location::column(3)

NAME
std::experimental::source_location::column - std::experimental::source_location::column

Synopsis
   constexpr std::uint_least32_t column() const noexcept; (library fundamentals TS v2)
   Returns an implementation-defined value representing some offset from the start of
   the line represented by this object (i.e., the column number).

Parameters
   (none)

Return value
   An implementation-defined value representing some offset from the start of the line
   represented by this object (i.e., the column number).

Example
// Run this code
 #include <iostream>
 #include <experimental/source_location>
 template<typename T = std::experimental::source_location>
 inline void pos(const T& location = T::current())
 {
     std::cout
         << "("
         << location.line()
         << ':'
         << location.column()
         << ") ";
 }
 auto main() -> int
 {
     pos(); std::cout << "Proxima\n";
     pos(); std::cout << "Centauri\n";
 }

Possible output:
 (17:5) Proxima
 (18:5) Centauri

See also
   line return the line number represented by this object
                 (public member function)
   file_name return the file name represented by this object
                 (public member function)
   function_name return the name of the function represented by this object, if any
                 (public member function)